Show / Hide Table of Contents

# Class OpenIddictValidationDataProtectionConfiguration

Contains the methods required to ensure that the OpenIddict ASP.NET Core Data Protection configuration is valid.

##### Inheritance

System.Object
OpenIddictValidationDataProtectionConfiguration

##### Implements

IPostConfigureOptions<OpenIddictValidationDataProtectionOptions>

###### Namespace: OpenIddict.Validation.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationDataProtectionConfiguration : IConfigureOptions<OpenIddictValidationOptions>, IPostConfigureOptions<OpenIddictValidationDataProtectionOptions>

### Constructors

#### OpenIddictValidationDataProtectionConfiguration(IDataProtectionProvider)

Creates a new instance of the OpenIddictValidationDataProtectionConfiguration class.

##### Declaration

    public OpenIddictValidationDataProtectionConfiguration(IDataProtectionProvider dataProtectionProvider)

##### Parameters

Type | Name | Description
--- | --- | ---
IDataProtectionProvider | dataProtectionProvider | The ASP.NET Core Data Protection provider.

### Methods

#### Configure(OpenIddictValidationOptions)

##### Declaration

    public void Configure(OpenIddictValidationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationOptions | options |

#### PostConfigure(String, OpenIddictValidationDataProtectionOptions)

Populates the default OpenIddict ASP.NET Core Data Protection validation options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, OpenIddictValidationDataProtectionOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
OpenIddictValidationDataProtectionOptions | options | The options instance to initialize.

### Implements

IPostConfigureOptions<>